Recuperar todos os fluxos paginado
curl --request GET \
--url https://api.malga.io/v1/flows \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/flows"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "b4ced0dd-2136-4bce-a231-364e93554073",
"paymentMethod": "credit",
"clientId": "f1babb21-6a4c-323d-12db-69d3af407ee1",
"merchants": [
{
"merchantId": "z1babb21-6a4c-987d-89db-11d3af737ee1"
}
],
"parentId": "g1babb21-6a4c-987d-89db-11d3af737ee1",
"createdAt": "2023-03-22T20:45:06.020Z",
"flow": {
"version": "0.0.0",
"root": [
{
"rule": "provider",
"id": "z1babb21-6a4c-987d-89db-11d3af737ee1"
}
]
},
"restoredFrom": "df601922-e024-6394-8f12-af21ec4218b1"
}
],
"meta": {
"itemCount": 10,
"totalItems": 20,
"itemsPerPage": 10,
"totalPages": 5,
"currentPage": 2
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Flows
Recuperar todos os fluxos paginado
GET
/
v1
/
flows
Recuperar todos os fluxos paginado
Query Parameters
Número da página
Quantidade de itens por página
Usado para filtrar os fluxos por merchantId
Usado para filtrar os fluxos por método de pagamento
Was this page helpful?
⌘I